#ifndef HW_LIB_SIM_SDL_H
#define HW_LIB_SIM_SDL_H

#include "SDL3/SDL.h"

#ifdef __cplusplus
extern "C" {
#endif
typedef struct {
    SDL_Window *window;
    SDL_Renderer *renderer;
    SDL_Event *event;
    int scale;
} SIM_SDL3_t;

typedef union {
    struct {
        uint8_t blue;
        uint8_t green;
        uint8_t red;
        uint8_t alpha;
    } ch;
    uint32_t full;
} SIM_Color_t;


bool SIM_SDLInit(char *name, int width, int height, int scale, SIM_SDL3_t *sdl3);

void SIM_SDL_Color_DrawPiexl(SIM_SDL3_t *sdl3, uint16_t x, uint16_t y, SIM_Color_t color);

void SIM_SDL_Stop(SIM_SDL3_t *sdl3);

#ifdef __cplusplus
}
#endif
#endif //HW_LIB_SIM_SDL_H
